Deployments.ai Docs
Governance

Show an organization's egress allowlist

GET /v1/organizations/{id}/egress-allowlist · SDK getOrganizationEgressAllowlist · CLI deployments egress-allowlist get

GET
/v1/organizations/{id}/egress-allowlist

Requires governance:read.

Authorization

platformBearer
headerAuthorizationBearer <token>

Platform bearer credential accepted as an opaque API key or JWT.

Path Parameters

id*string
Match^[0-7][0-9A-HJKMNP-TV-Z]{25}$

Header Parameters

x-deployments-organization*string
Match^[0-7][0-9A-HJKMNP-TV-Z]{25}$

Response Body

OrganizationEgressAllowlistResponse

application/json
  1. response
entries*array<>
organizationId*string
Match^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$
updatedAt*|null
updatedByPrincipalId*|null
version*|||

0 until the list is first saved.

curl -X GET "https://example.com/v1/organizations/string/egress-allowlist" \  -H "x-deployments-organization: string"
{  "entries": [    {      "note": "string",      "origin": "string"    }  ],  "organizationId": "string",  "updatedAt": "2019-08-24T14:15:22Z",  "updatedByPrincipalId": "string",  "version": 0}